Bug 251443 - Cannot boot without pci=noacpi
Cannot boot without pci=noacpi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 23:59 EDT by Srikanth N
Modified: 2009-07-14 14:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg, lspci output and pics showing the error messages at boot time (1.32 MB, application/x-gzip)
2007-08-08 23:59 EDT, Srikanth N
no flags Details
Boot1.jpg (346.21 KB, image/jpeg)
2007-08-09 10:23 EDT, Chuck Ebbert
no flags Details
Boot2.jpg (366.00 KB, image/jpeg)
2007-08-09 10:24 EDT, Chuck Ebbert
no flags Details
Boot3.jpg (336.61 KB, image/jpeg)
2007-08-09 10:24 EDT, Chuck Ebbert
no flags Details
Boot4.jpg (303.73 KB, image/jpeg)
2007-08-09 10:24 EDT, Chuck Ebbert
no flags Details
dmesg (21.34 KB, text/plain)
2007-08-09 10:25 EDT, Chuck Ebbert
no flags Details
lspci (9.87 KB, text/plain)
2007-08-09 10:25 EDT, Chuck Ebbert
no flags Details
F8T2-Regular boot (65.06 KB, image/jpeg)
2007-09-27 19:37 EDT, Srikanth N
no flags Details
F8T2-Boot with pci=noacpi (32.91 KB, image/jpeg)
2007-09-27 19:38 EDT, Srikanth N
no flags Details
dmidecode output (8.40 KB, text/plain)
2008-01-10 20:05 EST, Srikanth N
no flags Details

  None (edit)
Description Srikanth N 2007-08-08 23:59:25 EDT
Description of problem:
I can't seem to boot without passing the maxcpus=1 kernel argument at boot time.
Any attemp to boot without the argument results spews some error messages
starting with ata1.00(pics attached), which later leads to ata2.00 errors.

Version-Release number of selected component (if applicable):
Current kernel version (uname -r): 2.6.22.1-41.fc7
But I remember having to do this for all F7 kernels since installation.

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Boot1.jpg in the attached pics show some BIOS bugs which I'm not sure are
related to the current issue. 

Boot[2-4].jpg show the error messages I get after booting without the kernel
argument.

Let me know if you need any other information.
Comment 1 Srikanth N 2007-08-08 23:59:26 EDT
Created attachment 160953 [details]
dmesg, lspci output and pics showing the error messages at boot time
Comment 2 Chuck Ebbert 2007-08-09 10:23:39 EDT
Created attachment 160978 [details]
Boot1.jpg
Comment 3 Chuck Ebbert 2007-08-09 10:24:14 EDT
Created attachment 160979 [details]
Boot2.jpg
Comment 4 Chuck Ebbert 2007-08-09 10:24:33 EDT
Created attachment 160980 [details]
Boot3.jpg
Comment 5 Chuck Ebbert 2007-08-09 10:24:59 EDT
Created attachment 160981 [details]
Boot4.jpg
Comment 6 Chuck Ebbert 2007-08-09 10:25:22 EDT
Created attachment 160982 [details]
dmesg
Comment 7 Chuck Ebbert 2007-08-09 10:25:49 EDT
Created attachment 160983 [details]
lspci
Comment 8 Chuck Ebbert 2007-08-09 11:56:33 EDT
Try some of these options instead of maxcpus=1:

  pci=noacpi
  pci=nomsi
  nolapic_timer
  nolapic
  pci=nomsi,nommconf
Comment 9 Srikanth N 2007-08-09 20:09:11 EDT
Thanks for the quick response...I tried all of the suggested options. Only
"pci=noacpi" seems to work without any noticeable side effects.

With both "pci=nomsi and "pci=nomsi,nommconf" got stuck at the login prompt (tty
). But I was not able to login. The cursor blinked but no input was being accepted.

With "nolapic_timer" and "nolapic" options, I was able boot fine both times. But
I saw some strange keyboard/mouse behavior with the former option and with
"nolapic" /proc/cpuinfo showed only one cpu (even though I did not specify
maxcpus=1).

Comment 10 Christopher Brown 2007-09-25 06:55:14 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 11 Srikanth N 2007-09-25 16:46:27 EDT
Yes, I still have the problem with the latest F7 kernel. But I'm using
"pci=noacpi" instead of maxcpus=1. Let me know what info you need to resolve
this problem.
Comment 12 Christopher Brown 2007-09-26 16:05:41 EDT
If you could test with the Fedora 8 Test 2 live cd that would be appreciated as
at the moment we are trying to squash bugs that prevent a successful install.
You can get it from:

http://mirrors.fedoraproject.org/publiclist/Fedora/7.91/

It may also tell whether this has been fixed upstream. If the issue still exists
with F8 Test 2, I will attach a blocker bug and assign to the relevant maintainer.
Comment 13 Srikanth N 2007-09-27 19:36:32 EDT
I tested Fedora 8 Test 2 and the problem still exists. I cannot boot without
pci=noacpi kernel argument (see attachment (F8T2-BootRegular.jpg). There were no
error messages though (I left the machine for 30 min).

I could boot into runlevel 3 when I added the kernel argument but I could not
start X. For some reason the display was garbled (see attachment
F8T2-Boot"pci=noacpi".jpg) and it hanged. I tried both radeon and ati drivers.
This at least confirms that the current problem is not fixed in the newer kernel.

Comment 14 Srikanth N 2007-09-27 19:37:36 EDT
Created attachment 209201 [details]
F8T2-Regular boot
Comment 15 Srikanth N 2007-09-27 19:38:35 EDT
Created attachment 209211 [details]
F8T2-Boot with pci=noacpi
Comment 16 Christopher Brown 2008-01-10 15:06:23 EST
Apologies for not getting back to you sooner. Was this resolved for F8 release?
Comment 17 Srikanth N 2008-01-10 18:50:53 EST
(In reply to comment #16)
> Apologies for not getting back to you sooner. Was this resolved for F8 release?

No. I still have problem booting without pci=noacpi with latest F8 kernel update
(2.6.23.9-85.fc8).
Comment 18 Christopher Brown 2008-01-10 19:49:35 EST
Can you post the output (as a text/plain attachment) of:

# dmidecode

(you may need to install it)

Comment 19 Srikanth N 2008-01-10 20:05:21 EST
Created attachment 291342 [details]
dmidecode output

Output of dmidecode as requested...
Comment 20 Christopher Brown 2008-01-10 20:32:56 EST
You might want to try a BIOS upgrade which is available (with the usual caveats) at:

http://tinyurl.com/3cxz2v

or directly:

http://downloads.emachines.com/drivers/bios/BIOS_GC11020M.exe

If you dual boot then you can perform this under Windows, if not:

http://tinyurl.com/yw3bb2

Let me know how you get on.
Comment 21 Christopher Brown 2008-02-15 21:34:42 EST
Any update on this?
Comment 22 Srikanth N 2008-02-16 23:06:49 EST
(In reply to comment #21)
> Any update on this?

I did try the BIOS update as you suggested but there was no change. I still have
the issue in 2.6.23.15-137.fc8. 
Comment 23 Bug Zapper 2008-05-14 09:55:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Srikanth N 2008-05-14 18:59:02 EDT
This issue is still present in Fedora 9. I tried Live KDE CD and could boot only
with "pci=noacpi" as a kernel argument.
Comment 25 Bug Zapper 2009-06-09 18:44:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2009-07-14 14:03:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.